%%%---------------------------------------
%%% module      : data_guild
%%% description : 社团配置
%%%
%%%---------------------------------------
-module(data_guild).
-compile(export_all).
-include("guild.hrl").



%%最小字数限制和最大字数限制(字符 注:1个汉字需要两个字符,一个英文字母需要一个字)
get(guild_name_len) ->
    {2,12};

%%公告最小字数限制和最大字数限制(字符 注:1个汉字需要两个字符,一个英文字母需要一个字)
get(announce_len) ->
    {2,200};

%%退出公会cd（秒）
get(leave_again_apply) ->
    0;

%%公会申请上限人数
get(guild_apply_len_limit) ->
    10;

%%离线时间上限不自动任命
get(appoint_leave_time) ->
    259200;

%%红包绑钻领取上限
get(red_packet_limit) ->
    500;

%%发送红包输入最大字符（一个中文字代表两个字符）
get(red_packet_len) ->
    {1,20};

%%红包钻石领取上限
get(red_gold_packet_limit) ->
    100;

%%社团改名消耗道具,格式[{类型,物品id,数量}]
get(rename_cost) ->
    [{1,100000,100}];

%%社团标志变更消耗道具,格式[{类型,物品id,数量}]
get(logo_change_cost) ->
    [{1,100000,50}];

%%申请公会玩家等级
get(apply_join_guild_lv) ->
    60;

%%接受拼单显示时间（秒）
get(order_receive_time) ->
    10;

%%刷新拼单消耗
get(order_refresh_cost) ->
    [{1,100000,20}];

%%刷新拼单每日免费次数
get(order_refresh_free) ->
    3;

%%每日发起拼单次数
get(accept_limit) ->
    5;

%%公会公告每天可修改发布的次数
get(notice_limit) ->
    3;

%%默认公会成员容量
get(member_capacity) ->
    50;

%%默认宣言
get(default_announce) ->
    "1.每天12:20和20:00有社团活动，参与社团活动可获得丰富的奖励,欢迎大家踊跃报名！\n2.完成社团活跃任务还能获得活跃奖励，快来完成吧！";

%%团长离线可申请代理
get(agent_time) ->
    259200;

%%合并有效时间
get(guild_merge_apply_valid) ->
    86400;

%%社团红包系数
get(guild_red_packet_rand) ->
    {1,1};

%%资金管理费
get(funds_admin) ->
    0;

%%可拖欠次数
get(delay_funds) ->
    7;

%%单子持续时间
get(order_effect_time) ->
    1800;

%%社团驻地场景
get(guild_scene) ->
    4063;

%%社团随机出生点（x、y、半径）
get(born_coordinate) ->
    [{2500,2600,1500}];

%%每日获得声望上限
get(prestige_daily_limit) ->
    50;

%%篝火经验时钟
get(click_add_exp) ->
    5;

%%祝火加成
get(dance_extra) ->
    1000;

%%篝火位置
get(ballroom_position) ->
    [{14886,7911}];

%%篝火外形，填怪物id
get(ballroom) ->
    650010;

%%无派单时奖励展示
get(order_reward) ->
    [{8,100004,1},{7,100005,1}];

%%社团贡献奖励领取个人阈值
get(min_active_require) ->
    30;

%%社团驻地场景（晚间）
get(guild_scene_night) ->
    4064;

%%白天时间段
get(guild_day_night) ->
    [6,18];

%%派单权重
get(order_init_color) ->
    [{150,1},{50,2},{25,3}];

%%社团拼单基础收益（%）
get(base_reward) ->
    100;

%%社团商城红点所需玩家持有社团贡献值
get(store_reddot) ->
    1000;

%%社团驻地进入限制等级
get(grade_limit) ->
    100;

%%{打折社团数量，打折折扣}
get(create_guild_discount) ->
    {5,0.5};

get(_Key) ->
    false.

get_guild_lv(1) ->
    #base_guild_lv{lv = 1,exp = 3000,member_capacity = 30,pos_list = [{1,1},{2,2},{3,3},{4,1}]};

get_guild_lv(2) ->
    #base_guild_lv{lv = 2,exp = 7000,member_capacity = 35,pos_list = [{1,1},{2,2},{3,3},{4,2}]};

get_guild_lv(3) ->
    #base_guild_lv{lv = 3,exp = 14000,member_capacity = 40,pos_list = [{1,1},{2,2},{3,3},{4,3}]};

get_guild_lv(4) ->
    #base_guild_lv{lv = 4,exp = 21000,member_capacity = 45,pos_list = [{1,1},{2,2},{3,4},{4,3}]};

get_guild_lv(5) ->
    #base_guild_lv{lv = 5,exp = 42000,member_capacity = 50,pos_list = [{1,1},{2,2},{3,5},{4,3}]};

get_guild_lv(6) ->
    #base_guild_lv{lv = 6,exp = 63000,member_capacity = 55,pos_list = [{1,1},{2,2},{3,6},{4,3}]};

get_guild_lv(7) ->
    #base_guild_lv{lv = 7,exp = 84000,member_capacity = 60,pos_list = [{1,1},{2,3},{3,6},{4,3}]};

get_guild_lv(8) ->
    #base_guild_lv{lv = 8,exp = 155000,member_capacity = 65,pos_list = [{1,1},{2,3},{3,6},{4,4}]};

get_guild_lv(9) ->
    #base_guild_lv{lv = 9,exp = 256000,member_capacity = 70,pos_list = [{1,1},{2,3},{3,6},{4,5}]};

get_guild_lv(10) ->
    #base_guild_lv{lv = 10,exp = 0,member_capacity = 75,pos_list = [{1,1},{2,3},{3,6},{4,6}]};

get_guild_lv(_Lv) ->
    [].

get_guild_create(1) ->
    #base_guild_create{cfg_id = 1,cost = [{2,100001,200}],guild_lv = 1,condition = [{lv,84}]};

get_guild_create(2) ->
    #base_guild_create{cfg_id = 2,cost = [{1,100000,50}],guild_lv = 2,condition = [{lv,84}]};

get_guild_create(3) ->
    #base_guild_create{cfg_id = 3,cost = [{1,100000,100}],guild_lv = 3,condition = [{lv,108},{vip,4}]};

get_guild_create(_Cfgid) ->
    [].

get_guild_pos(1) ->
    #base_guild_pos{position = 1,name = "团长",permission_list = [1,2,3,4,5,6,7],reputation_add = 300};

get_guild_pos(2) ->
    #base_guild_pos{position = 2,name = "副团",permission_list = [1,2,3,4,5],reputation_add = 200};

get_guild_pos(3) ->
    #base_guild_pos{position = 3,name = "精英",permission_list = [],reputation_add = 100};

get_guild_pos(4) ->
    #base_guild_pos{position = 4,name = "团宠",permission_list = [],reputation_add = 100};

get_guild_pos(5) ->
    #base_guild_pos{position = 5,name = "成员",permission_list = [],reputation_add = 0};

get_guild_pos(6) ->
    #base_guild_pos{position = 6,name = "代理团长",permission_list = [1,2,3,4,5],reputation_add = 200};

get_guild_pos(_Position) ->
    [].

get_order_base(1) ->
    #base_guild_order{id = 1,name = <<"简单快餐"/utf8>>,color = 1,min_lv = 1,max_lv = 150,max_num = 2,content = [{2,10050105,1005,0,10}],cost = [],gain = [],awards = [{8,100004,50},{3,100002,100}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 300,ai_ratio = 10,people_ratio = 20};

get_order_base(2) ->
    #base_guild_order{id = 2,name = <<"烛光晚餐"/utf8>>,color = 1,min_lv = 1,max_lv = 150,max_num = 2,content = [{2,10050105,1005,0,10}],cost = [],gain = [],awards = [{8,100004,50},{3,100002,100}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 200,ai_ratio = 10,people_ratio = 20};

get_order_base(3) ->
    #base_guild_order{id = 3,name = <<"法式大餐"/utf8>>,color = 2,min_lv = 1,max_lv = 150,max_num = 3,content = [{2,10050106,1005,0,10}],cost = [],gain = [],awards = [{8,100004,100},{3,100002,150}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 250,ai_ratio = 10,people_ratio = 20};

get_order_base(4) ->
    #base_guild_order{id = 4,name = <<"欧式自助"/utf8>>,color = 2,min_lv = 1,max_lv = 150,max_num = 3,content = [{2,10050106,1005,0,10}],cost = [],gain = [],awards = [{8,100004,100},{3,100002,150}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 200,ai_ratio = 10,people_ratio = 20};

get_order_base(5) ->
    #base_guild_order{id = 5,name = <<"奢华宴会"/utf8>>,color = 3,min_lv = 1,max_lv = 150,max_num = 4,content = [{1,3001,7500,0,1}],cost = [],gain = [],awards = [{8,100004,150},{3,100002,200}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 40,ai_ratio = 10,people_ratio = 20};

get_order_base(6) ->
    #base_guild_order{id = 6,name = <<"海陆空盛宴"/utf8>>,color = 3,min_lv = 1,max_lv = 150,max_num = 4,content = [{1,3001,7500,0,1}],cost = [],gain = [],awards = [{8,100004,150},{3,100002,200}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 10,ai_ratio = 10,people_ratio = 20};

get_order_base(7) ->
    #base_guild_order{id = 7,name = <<"简单快餐"/utf8>>,color = 1,min_lv = 151,max_lv = 250,max_num = 2,content = [{2,10050105,1005,0,10}],cost = [],gain = [],awards = [{8,100004,50},{3,100002,100}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 300,ai_ratio = 10,people_ratio = 20};

get_order_base(8) ->
    #base_guild_order{id = 8,name = <<"烛光晚餐"/utf8>>,color = 1,min_lv = 151,max_lv = 250,max_num = 2,content = [{2,10050105,1005,0,10}],cost = [],gain = [],awards = [{8,100004,50},{3,100002,100}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 200,ai_ratio = 10,people_ratio = 20};

get_order_base(9) ->
    #base_guild_order{id = 9,name = <<"法式大餐"/utf8>>,color = 2,min_lv = 151,max_lv = 250,max_num = 3,content = [{2,10050106,1005,0,10}],cost = [],gain = [],awards = [{8,100004,100},{3,100002,150}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 250,ai_ratio = 10,people_ratio = 20};

get_order_base(10) ->
    #base_guild_order{id = 10,name = <<"欧式自助"/utf8>>,color = 2,min_lv = 151,max_lv = 250,max_num = 3,content = [{2,10050106,1005,0,10}],cost = [],gain = [],awards = [{8,100004,100},{3,100002,150}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 200,ai_ratio = 10,people_ratio = 20};

get_order_base(11) ->
    #base_guild_order{id = 11,name = <<"奢华宴会"/utf8>>,color = 3,min_lv = 151,max_lv = 250,max_num = 4,content = [{1,3001,7500,0,1}],cost = [],gain = [],awards = [{8,100004,150},{3,100002,200}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 40,ai_ratio = 10,people_ratio = 20};

get_order_base(12) ->
    #base_guild_order{id = 12,name = <<"海陆空盛宴"/utf8>>,color = 3,min_lv = 151,max_lv = 250,max_num = 4,content = [{1,3001,7500,0,1}],cost = [],gain = [],awards = [{8,100004,150},{3,100002,200}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 10,ai_ratio = 10,people_ratio = 20};

get_order_base(13) ->
    #base_guild_order{id = 13,name = <<"简单快餐"/utf8>>,color = 1,min_lv = 251,max_lv = 350,max_num = 2,content = [{2,10050105,1005,0,10}],cost = [],gain = [],awards = [{8,100004,50},{3,100002,100}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 300,ai_ratio = 10,people_ratio = 20};

get_order_base(14) ->
    #base_guild_order{id = 14,name = <<"烛光晚餐"/utf8>>,color = 1,min_lv = 251,max_lv = 350,max_num = 2,content = [{2,10050105,1005,0,10}],cost = [],gain = [],awards = [{8,100004,50},{3,100002,100}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 200,ai_ratio = 10,people_ratio = 20};

get_order_base(15) ->
    #base_guild_order{id = 15,name = <<"法式大餐"/utf8>>,color = 2,min_lv = 251,max_lv = 350,max_num = 3,content = [{2,10050106,1005,0,10}],cost = [],gain = [],awards = [{8,100004,100},{3,100002,150}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 250,ai_ratio = 10,people_ratio = 20};

get_order_base(16) ->
    #base_guild_order{id = 16,name = <<"欧式自助"/utf8>>,color = 2,min_lv = 251,max_lv = 350,max_num = 3,content = [{2,10050106,1005,0,10}],cost = [],gain = [],awards = [{8,100004,100},{3,100002,150}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 200,ai_ratio = 10,people_ratio = 20};

get_order_base(17) ->
    #base_guild_order{id = 17,name = <<"奢华宴会"/utf8>>,color = 3,min_lv = 251,max_lv = 350,max_num = 4,content = [{1,3001,7500,0,1}],cost = [],gain = [],awards = [{8,100004,150},{3,100002,200}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 40,ai_ratio = 10,people_ratio = 20};

get_order_base(18) ->
    #base_guild_order{id = 18,name = <<"海陆空盛宴"/utf8>>,color = 3,min_lv = 251,max_lv = 350,max_num = 4,content = [{1,3001,7500,0,1}],cost = [],gain = [],awards = [{8,100004,150},{3,100002,200}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 10,ai_ratio = 10,people_ratio = 20};

get_order_base(19) ->
    #base_guild_order{id = 19,name = <<"简单快餐"/utf8>>,color = 1,min_lv = 351,max_lv = 999,max_num = 2,content = [{2,10050105,1005,0,10}],cost = [],gain = [],awards = [{8,100004,50},{3,100002,100}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 300,ai_ratio = 10,people_ratio = 20};

get_order_base(20) ->
    #base_guild_order{id = 20,name = <<"烛光晚餐"/utf8>>,color = 1,min_lv = 351,max_lv = 999,max_num = 2,content = [{2,10050105,1005,0,10}],cost = [],gain = [],awards = [{8,100004,50},{3,100002,100}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 200,ai_ratio = 10,people_ratio = 20};

get_order_base(21) ->
    #base_guild_order{id = 21,name = <<"法式大餐"/utf8>>,color = 2,min_lv = 351,max_lv = 999,max_num = 3,content = [{2,10050106,1005,0,10}],cost = [],gain = [],awards = [{8,100004,100},{3,100002,150}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 250,ai_ratio = 10,people_ratio = 20};

get_order_base(22) ->
    #base_guild_order{id = 22,name = <<"欧式自助"/utf8>>,color = 2,min_lv = 351,max_lv = 999,max_num = 3,content = [{2,10050106,1005,0,10}],cost = [],gain = [],awards = [{8,100004,100},{3,100002,150}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 200,ai_ratio = 10,people_ratio = 20};

get_order_base(23) ->
    #base_guild_order{id = 23,name = <<"奢华宴会"/utf8>>,color = 3,min_lv = 351,max_lv = 999,max_num = 4,content = [{1,3001,7500,0,1}],cost = [],gain = [],awards = [{8,100004,150},{3,100002,200}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 40,ai_ratio = 10,people_ratio = 20};

get_order_base(24) ->
    #base_guild_order{id = 24,name = <<"海陆空盛宴"/utf8>>,color = 3,min_lv = 351,max_lv = 999,max_num = 4,content = [{1,3001,7500,0,1}],cost = [],gain = [],awards = [{8,100004,150},{3,100002,200}],thank_reward = [{0,450058,1}],order_reward = [{0,102401,1},{0,101010,1}],weight = 10,ai_ratio = 10,people_ratio = 20};

get_order_base(_Id) ->
    [].

get_all_orders() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24].

get_color_order(1,Lv) when 1 =< Lv, Lv =< 150 ->
		1;
get_color_order(1,Lv) when 1 =< Lv, Lv =< 150 ->
		2;
get_color_order(2,Lv) when 1 =< Lv, Lv =< 150 ->
		3;
get_color_order(2,Lv) when 1 =< Lv, Lv =< 150 ->
		4;
get_color_order(3,Lv) when 1 =< Lv, Lv =< 150 ->
		5;
get_color_order(3,Lv) when 1 =< Lv, Lv =< 150 ->
		6;
get_color_order(1,Lv) when 151 =< Lv, Lv =< 250 ->
		7;
get_color_order(1,Lv) when 151 =< Lv, Lv =< 250 ->
		8;
get_color_order(2,Lv) when 151 =< Lv, Lv =< 250 ->
		9;
get_color_order(2,Lv) when 151 =< Lv, Lv =< 250 ->
		10;
get_color_order(3,Lv) when 151 =< Lv, Lv =< 250 ->
		11;
get_color_order(3,Lv) when 151 =< Lv, Lv =< 250 ->
		12;
get_color_order(1,Lv) when 251 =< Lv, Lv =< 350 ->
		13;
get_color_order(1,Lv) when 251 =< Lv, Lv =< 350 ->
		14;
get_color_order(2,Lv) when 251 =< Lv, Lv =< 350 ->
		15;
get_color_order(2,Lv) when 251 =< Lv, Lv =< 350 ->
		16;
get_color_order(3,Lv) when 251 =< Lv, Lv =< 350 ->
		17;
get_color_order(3,Lv) when 251 =< Lv, Lv =< 350 ->
		18;
get_color_order(1,Lv) when 351 =< Lv, Lv =< 999 ->
		19;
get_color_order(1,Lv) when 351 =< Lv, Lv =< 999 ->
		20;
get_color_order(2,Lv) when 351 =< Lv, Lv =< 999 ->
		21;
get_color_order(2,Lv) when 351 =< Lv, Lv =< 999 ->
		22;
get_color_order(3,Lv) when 351 =< Lv, Lv =< 999 ->
		23;
get_color_order(3,Lv) when 351 =< Lv, Lv =< 999 ->
		24;
get_color_order(_Color,_Lv) ->
    0.

get_guild_support_cfg(1) ->
    #base_guild_support{support_id = 1,module_id = 460,sub_mod_id = 3,mod_name = "赏金幻魔",support_limit = 5,reward_reputation = 100,thank_reward = [{0,450006,1}],support_reward = [{0,450005,1}],is_conflict = 1,out_scene_cancel = 1,is_lv_limit = 1,scene_limit = 0,show_support_list = 1,show_hurt = 1,show_ask_picture = 1,head_label = 1};

get_guild_support_cfg(2) ->
    #base_guild_support{support_id = 2,module_id = 408,sub_mod_id = 0,mod_name = "封印裂缝",support_limit = 5,reward_reputation = 100,thank_reward = [{0,450006,1}],support_reward = [{0,450005,1}],is_conflict = 0,out_scene_cancel = 0,is_lv_limit = 0,scene_limit = 0,show_support_list = 0,show_hurt = 0,show_ask_picture = 1,head_label = 1};

get_guild_support_cfg(3) ->
    #base_guild_support{support_id = 3,module_id = 400,sub_mod_id = 3,mod_name = "社团拼单",support_limit = 5,reward_reputation = 100,thank_reward = [{0,450006,1}],support_reward = [{0,450005,1}],is_conflict = 0,out_scene_cancel = 0,is_lv_limit = 0,scene_limit = 0,show_support_list = 0,show_hurt = 0,show_ask_picture = 0,head_label = 0};

get_guild_support_cfg(4) ->
    #base_guild_support{support_id = 4,module_id = 461,sub_mod_id = 0,mod_name = "星域幻魔",support_limit = 5,reward_reputation = 100,thank_reward = [{0,450006,1}],support_reward = [{0,450005,1}],is_conflict = 1,out_scene_cancel = 1,is_lv_limit = 1,scene_limit = 0,show_support_list = 1,show_hurt = 1,show_ask_picture = 1,head_label = 1};

get_guild_support_cfg(5) ->
    #base_guild_support{support_id = 5,module_id = 417,sub_mod_id = 1,mod_name = "快乐答题",support_limit = 1,reward_reputation = 100,thank_reward = [{0,453013,1}],support_reward = [{0,453012,1}],is_conflict = 0,out_scene_cancel = 0,is_lv_limit = 0,scene_limit = 0,show_support_list = 0,show_hurt = 0,show_ask_picture = 0,head_label = 0};

get_guild_support_cfg(6) ->
    #base_guild_support{support_id = 6,module_id = 417,sub_mod_id = 2,mod_name = "虚空副本",support_limit = 1,reward_reputation = 100,thank_reward = [{0,453013,1}],support_reward = [{0,453012,1}],is_conflict = 0,out_scene_cancel = 0,is_lv_limit = 0,scene_limit = 0,show_support_list = 0,show_hurt = 0,show_ask_picture = 0,head_label = 0};

get_guild_support_cfg(_Supportid) ->
    [].

get_all_support_cfg() ->
    [1,2,3,4,5,6].

get_badge(1001) ->
    #base_badge{id = 1001,name = <<"战力榜外"/utf8>>,level = 2,type = 1,cool = 0,condition = [{rank,999}],effect = 5,next = 1002};

get_badge(1002) ->
    #base_badge{id = 1002,name = <<"战力前3"/utf8>>,level = 1,type = 1,cool = 0,condition = [{rank,3}],effect = 5,next = 0};

get_badge(2001) ->
    #base_badge{id = 2001,name = <<"活跃榜外"/utf8>>,level = 2,type = 6,cool = 0,condition = [{rank,999}],effect = 5,next = 2002};

get_badge(2002) ->
    #base_badge{id = 2002,name = <<"活跃前10"/utf8>>,level = 1,type = 6,cool = 0,condition = [{rank,10}],effect = 5,next = 0};

get_badge(3001) ->
    #base_badge{id = 3001,name = <<"本国榜外"/utf8>>,level = 2,type = 2,cool = 0,condition = [{rank,999}],effect = 5,next = 3002};

get_badge(3002) ->
    #base_badge{id = 3002,name = <<"本国前10"/utf8>>,level = 1,type = 2,cool = 0,condition = [{rank,10}],effect = 5,next = 0};

get_badge(_Id) ->
    [].

get_all_badge() ->
    [1001,1002,2001,2002,3001,3002].


get_type_badge(1) ->
    [1002,1001];


get_type_badge(6) ->
    [2002,2001];


get_type_badge(2) ->
    [3002,3001];

get_type_badge(_Type) ->
    [].

get_merge_con(Day) when 1 =< Day, Day =< 7 ->
		[];
get_merge_con(Day) when 8 =< Day, Day =< 9999 ->
		[1];
get_merge_con(_Day) ->
    [].

get_active_lv(Day) when 1 =< Day, Day =< 7 ->
		[{2,500},{3,1000}];
get_active_lv(Day) when 8 =< Day, Day =< 9999 ->
		[{2,1000},{3,1500}];
get_active_lv(_Day) ->
    [].

get_dots() ->
    [1,2,3,4].

get_num_radio(Num) when Num >= 0, Num =< 1 ->
		500;
get_num_radio(Num) when Num >= 2, Num =< 5 ->
		1000;
get_num_radio(Num) when Num >= 6, Num =< 99 ->
		1500;
get_num_radio(_Num) ->
    0.

